计算管理/主机相关接口/主机硬件设备相关接口
PUTHost Hardware Device APIs起始版本 3.6同步需要认证
刷新主机Raid信息
刷新主机Raid信息
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
refreshlocalraidObject必填refreshlocalraid 请求体结构
hostUuidString必填主机UUID
systemTagsList系统标签。
userTagsList用户标签。
响应状态
请求地址
PUT/zstack/v1/storage-devices/local-raid/actions
/zstack/v1/storage-devices/local-raid/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/storage-devices/local-raid/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"refreshlocalraid":{"hostUuid":"<hostUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventories": [ { "name": "LSI 2208 Raid Controller", "uuid": "821bab441f4530b5a741bbed9ca76eb8", "description": "this is a description", "productName": "LSI 2208 MegaRAID", "sasAddress": "500304801f948100", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }变更历史
此 API 暂无变更历史记录。
